Bug 1123889 - Content details not updated in `/ostree/repo/config` file after auto-heal on Rhel7 atomic host
Summary: Content details not updated in `/ostree/repo/config` file after auto-heal on ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1117420
Blocks: rhsm-rhel71
TreeView+ depends on / blocked
 
Reported: 2014-07-28 14:43 UTC by Rehana
Modified: 2015-03-16 20:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-15 15:59:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0502 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2015-03-05 16:20:39 UTC

Description Rehana 2014-07-28 14:43:24 UTC
Description of problem:

Observed that after auto-heal(restart rhsmcertd, and wait for 2mins)  , the ostree contents were not updated in /ostree/repo/config file

Note: the auto-heal test was done soon after the `atomic upgrade` --> reboot and subscription-manager register (not sure its related to this issue or not) 

Version-Release number of selected component (if applicable):
$ sudo subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 0.9.21-1
subscription management rules: 5.11
subscription-manager: 1.12.5-1.git.9.1a03d02.el7
python-rhsm: 1.12.3-1.el7


How reproducible:
Not Always
2/4

Steps to Reproduce:
1.Register atomic host stage candlepin server
2.Restarted rhsmcertd service (ie :sudo service rhsmcertd restart)
3.Wait for 2 mins, below mentioned subscription was added 
$ sudo service rhsmcertd restart
Redirecting to /bin/systemctl restart  rhsmcertd.service
 
4.consumed list after healing
 
[cloud-user@testatomic-00 ~]$ sudo subscription-manager  list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Employee Subscription
Provides:          Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                   JBoss Enterprise Web Platform
                   Red Hat Storage Software Appliance
                   Red Hat Enterprise Linux for IBM POWER - Extended Update Support
                   Red Hat Software Collections (for RHEL Client)
                   Oracle Java (for RHEL Compute Node) - Extended Update Support
                   Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support
                   Red Hat OpenShift Enterprise Infrastructure Beta
                   Red Hat Enterprise Identity Replication
                   Red Hat OpenStack
                   Red Hat Hardware Certification Test Suite
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                   Red Hat Enterprise Linux 7 for HPC Compute Node High Touch Beta
                   JBoss Enterprise Application Platform
                   Oracle Java (for RHEL Workstation)
                   Red Hat Enterprise Linux Server
                   Red Hat Enterprise Linux for IBM POWER
                   Red Hat Enterprise Linux EUS Compute Node
                   Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER)
                   Red Hat Software Collections (for RHEL Workstation)
                   Red Hat OpenShift Enterprise Application Node Beta
                   Red Hat Enterprise Linux Scalable File System (for RHEL Workstation)
                   JBoss Enterprise Application Platform - ELS
                   Red Hat Enterprise Linux 7 for IBM POWER High Touch Beta
                   Red Hat Enterprise Linux EUS Compute Node High Performance Networking
                   Red Hat Storage Server for On-premise
                   Red Hat Enterprise Linux Atomic Host
                   Red Hat Enterprise Linux for IBM System z - Extended Update Support
                   Red Hat OpenStack Beta
                   Red Hat Directory Server
                   MRG Realtime
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                   Red Hat OpenShift Enterprise Infrastructure
                   Red Hat Software Test Suite 5 (for RHEL Server)
                   Red Hat Enterprise Linux High Availability (for RHEL Server)
                   Red Hat Enterprise Linux EUS Compute Node Scalable File System
                   Red Hat Enterprise Linux 7 for IBM System z High Touch Beta
                   JBoss Enterprise Web Server
                   Red Hat Developer Toolset (for RHEL Workstation)
                   Red Hat Enterprise Linux Server - AUS
                   Red Hat Enterprise Linux for SAP
                   Red Hat Enterprise Linux for IBM System z
                   Red Hat Enterprise Linux 7 Desktop High Touch Beta
                   Red Hat Storage
                   Oracle Java (for RHEL Server) - Extended Update Support
                   Red Hat Software Collections (for RHEL Server)
                   Red Hat OpenShift Enterprise Application Node
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                   Red Hat OpenStack Beta Certification Test Suite
                   Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                   Kernel Derivative Works for HPC for Power Systems
                   Red Hat Enterprise Linux Workstation
                   Oracle Java (for RHEL Client)
                   Red Hat Storage Management Console (for RHEL Server)
                   Red Hat Enterprise MRG Messaging 2
                   Red Hat Enterprise Linux High Availability (for RHEL Server) - AUS
                   Red Hat Beta
                   MRG Grid
                   Red Hat Enterprise Linux 7 Workstation High Touch Beta
                   Red Hat Software Collections Beta (for RHEL Client)
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                   Red Hat S-JIS Support (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL for IBM POWER)
                   Red Hat Enterprise Virtualization
                   Red Hat Enterprise Linux Server - Extended Update Support
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - AUS
                   Red Hat Enterprise Linux 7 Resilient Storage High Touch Beta
                   Red Hat Enterprise Linux 7 Server High Touch Beta
                   Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Server HTB
                   Red Hat Software Collections Beta (for RHEL Workstation)
                   Red Hat Developer Toolset (for RHEL for IBM POWER) - Extended Update Support
                   Oracle Java (for RHEL Compute Node)
                   Red Hat Developer Toolset (for RHEL Server EUS)
                   Red Hat Enterprise Linux Desktop
                   Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux 7 Load Balancer High Touch Beta
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL Server)
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - AUS
                   Red Hat OpenShift Enterprise Client Tools Beta
                   Red Hat OpenShift Enterprise Client Tools
                   Red Hat Enterprise Linux for SAP Hana
                   Red Hat EUCJP Support (for RHEL Server)
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux 7 High Availability High Touch Beta
                   Oracle Java (for RHEL Server) - AUS
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server) - AUS
                   Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node)
                   Red Hat Enterprise Linux Workstation HTB
                   Red Hat Enterprise Linux for Scientific Computing
                   Kernel Derivative Works for Bluegene/Q
                   Red Hat OpenShift Enterprise JBoss EAP add-on Beta
                   Red Hat OpenShift Enterprise JBoss EAP add-on
SKU:               ES0113909
Contract:          10169793
Account:           477931
Serial:            4664876473644924883
Pool ID:           8a85f9823e3d5e43013e3ddd4e9509c4
Active:            True
Quantity Used:     1
Service Level:     SELF-SUPPORT
Service Type:      L1-L3
Status Details:    
Subscription Type: Standard
Starts:            04/24/2013
Ends:              01/01/2022

5.Verify the `ostree` content in  attached subscription 
$ rct cc /etc/pki/entitlement/4664876473644924883.pem | grep "ostree" -A19
        Type: ostree
        Name: Red Hat Enterprise Linux Atomic Host Preview (Trees)
        Label: rhel-atomic-preview-ostree
        Vendor: Red Hat
        URL: /content/preview/rhel/atomic/7/x86_64/ostree/repo
        GPG: http://
        Enabled: False
        Expires: 86400
        Required Tags:
        Arches: x86_64


Actual results:

Observed that no content details were written to /ostree/repo/config file

cloud-user@testatomic-00 ~]$ cat /ostree/repo/config
[core]
repo_version=1
mode=bare      ----->> no remote CONTENT
 
[cloud-user@testatomic-00 ~]$ cat /ostree/deploy/rhel-atomic-host/deploy/d45dfe1c31878ac83e3525e440b17267a46d4c2a917aa73a61f5d88d2ccbd529.0.origin
[origin]
refspec=rhel-atomic-preview-ostree:rhel-atomic-host/7/x86_64/standard
 
[cloud-user@testatomic-00 ~]$ cat /ostree/deploy/rhel-atomic-host/deploy/5881d6e2e5398e1dc14c515305819bf9fca5a6b747a0ad3d083b0b70ffd2f3a7.0.origin
[origin]
refspec=rhel-atomic-preview-ostree:rhel-atomic-host/7/x86_64/standard

Expected results:

Content details should be written to /ostree/repo/config file

Additional info:


**rhsm.log****

[cloud-user@testatomic-00 ~]$ tail -f /var/log/rhsm/rhsm.log
2014-07-24 08:24:49,503 [DEBUG] rhsmcertd-worker @facts.py:153 - Updating facts on server
2014-07-24 08:24:49,504 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:24:49,504 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: PUT /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf
2014-07-24 08:24:50,226 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=204, requestUuid=0d3a0d57-4483-4105-bb86-3f83e4691a1b
2014-07-24 08:24:50,227 [DEBUG] rhsmcertd-worker @cache.py:110 - Wrote cache: /var/lib/rhsm/facts/facts.json
2014-07-24 08:24:50,227 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.packageprofilelib.PackageProfileActionInvoker object at 0x105b150>
2014-07-24 08:24:50,227 [INFO] rhsmcertd-worker @cache.py:349 - Server does not support packages, skipping profile upload.
2014-07-24 08:24:50,227 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x105b190>
2014-07-24 08:24:50,228 [INFO] rhsmcertd-worker @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-07-24 08:24:50,228 [INFO] rhsmcertd-worker @cache.py:155 - No changes.
--------------

2014-07-24 08:32:30,514 [DEBUG] subscription-manager @plugins.py:569 - loaded plugin modules: [<module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.py'>]
2014-07-24 08:32:30,514 [DEBUG] subscription-manager @plugins.py:570 - loaded plugins: {'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x1ae9c90>}
2014-07-24 08:32:30,515 [DEBUG] subscription-manager @identity.py:131 - Loading consumer info from identity certificates.
2014-07-24 08:32:30,541 [DEBUG] subscription-manager @profile.py:97 - Loading current RPM profile.
2014-07-24 08:32:30,555 [INFO] subscription-manager @managercli.py:298 - Client Versions: {'python-rhsm': '1.12.3-1.el7', 'subscription-manager': '1.12.5-1.git.9.1a03d02.el7'}
2014-07-24 08:32:30,555 [INFO] subscription-manager @connection.py:659 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-07-24 08:32:30,555 [INFO] subscription-manager @connection.py:670 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-07-24 08:32:30,556 [INFO] subscription-manager @connection.py:666 - Using no auth
2014-07-24 08:32:30,556 [INFO] subscription-manager @connection.py:670 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-07-24 08:32:30,557 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:30,557 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/
2014-07-24 08:32:30,922 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=53131ed1-257d-4762-b2a8-a5ccc05567e0
2014-07-24 08:32:30,923 [DEBUG] subscription-manager @connection.py:686 - Server supports the following resources:
2014-07-24 08:32:30,923 [DEBUG] subscription-manager @connection.py:687 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
2014-07-24 08:32:30,924 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:30,924 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/status
2014-07-24 08:32:31,295 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=30fa55c7-32b5-4a4d-a8e3-0b91a914baf7
2014-07-24 08:32:31,296 [INFO] subscription-manager @managercli.py:309 - Server Versions: {'rules-version': '5.11', 'candlepin': '0.9.21-1', 'server-type': 'Red Hat Subscription Management'}
2014-07-24 08:32:31,296 [INFO] subscription-manager @managercli.py:274 - self.identity: <Identity, name=testatomic-00, uuid=1e161eb2-4d42-4f3d-8558-14015cdce5bf, consumer=consumer: name="testatomic-00", uuid=1e161eb2-4d42-4f3d-8558-14015cdce5bf>
2014-07-24 08:32:31,296 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:31,297 [DEBUG] subscription-manager @connection.py:446 - Making request: DELETE /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/entitlements
2014-07-24 08:32:32,015 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=d6794d2f-3119-4fbd-8390-19408063e4fe
2014-07-24 08:32:32,040 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:32,040 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/certificates/serials
2014-07-24 08:32:32,529 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=09554cf2-bee9-4778-94f4-46c12597289b
2014-07-24 08:32:32,530 [INFO] subscription-manager @entcertlib.py:131 - certs updated:
Total updates: 1
Found (local) serial# [4731877811206992948L]
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (JBoss Enterprise Web Platform,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Storage Software Appliance,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for IBM POWER - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Collections (for RHEL Client),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Oracle Java (for RHEL Compute Node) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise Infrastructure Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Identity Replication,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenStack,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Hardware Certification Test Suite,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (JBoss Enterprise Application Platform,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 for HPC Compute Node High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Oracle Java (for RHEL Workstation),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for IBM POWER,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux EUS Compute Node,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Collections (for RHEL Workstation),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise Application Node Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Scalable File System (for RHEL Workstation),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (JBoss Enterprise Application Platform - ELS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 for IBM POWER High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux EUS Compute Node High Performance Networking,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Storage Server for On-premise,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Atomic Host,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for IBM System z - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenStack Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Directory Server,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (MRG Realtime,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise Infrastructure,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Test Suite 5 (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Availability (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux EUS Compute Node Scalable File System,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 for IBM System z High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (JBoss Enterprise Web Server,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Server - AUS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Developer Toolset (for RHEL Workstation),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for SAP,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for IBM System z,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Oracle Java (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Storage,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 Desktop High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise Application Node,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Scalable File System (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenStack Beta Certification Test Suite,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat S-JIS Support (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Kernel Derivative Works for HPC for Power Systems,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Workstation,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Oracle Java (for RHEL Client),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Storage Management Console (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Availability (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise MRG Messaging 2,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (MRG Grid,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 Workstation High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Load Balancer (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Collections Beta (for RHEL Client),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat S-JIS Support (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Developer Toolset (for RHEL for IBM POWER),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Virtualization,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Server - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 Resilient Storage High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 Server High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Server HTB,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Collections Beta (for RHEL Workstation),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Developer Toolset (for RHEL for IBM POWER) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Oracle Java (for RHEL Compute Node),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Developer Toolset (for RHEL Server EUS),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Desktop,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat EUCJP Support (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 Load Balancer High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Developer Toolset (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise Client Tools Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise Client Tools,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for SAP Hana,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat EUCJP Support (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux 7 High Availability High Touch Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Oracle Java (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Software Collections Beta (for RHEL Server),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node),) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux Workstation HTB,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat Enterprise Linux for Scientific Computing,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Kernel Derivative Works for Bluegene/Q,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise JBoss EAP add-on Beta,) @ /etc/pki/entitlement/4731877811206992948.pem]
  [sn:4731877811206992948 (Red Hat OpenShift Enterprise JBoss EAP add-on,) @ /etc/pki/entitlement/4731877811206992948.pem]
2014-07-24 08:32:32,547 [DEBUG] subscription-manager @entcertlib.py:173 - entcerlibaction.repo_hook
2014-07-24 08:32:32,548 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x19e5090>
2014-07-24 08:32:32,548 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:32,549 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/
2014-07-24 08:32:32,983 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=7d145214-934b-4a95-97e5-528db451a744
2014-07-24 08:32:32,984 [DEBUG] subscription-manager @connection.py:686 - Server supports the following resources:
2014-07-24 08:32:32,985 [DEBUG] subscription-manager @connection.py:687 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
2014-07-24 08:32:32,985 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:32,986 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/content_overrides
2014-07-24 08:32:33,456 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=bd32eeb5-5d81-4293-aa35-fc3087c76c07
2014-07-24 08:32:33,458 [DEBUG] subscription-manager @cache.py:259 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
2014-07-24 08:32:33,459 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:33,459 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/release
2014-07-24 08:32:33,946 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=ab0efa58-b570-4bd1-b912-9b654f404660
2014-07-24 08:32:33,998 [DEBUG] subscription-manager @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2014-07-24 08:32:33,999 [INFO] subscription-manager @repolib.py:207 - repos updated: Repo updates

Total repo updates: 117
Updated
    <NONE>
Added (new)
    <NONE>
Deleted
    [rhel-atomic-preview-source-rpms]
    [rhel-rs-for-rhel-7-server-fastrack-debug-rpms]
    [rhel-ha-for-rhel-7-server-htb-source-rpms]
    [rhel-7-server-extras-htb-source-rpms]
    [rhel-ha-for-rhel-7-server-beta-debug-rpms]
    [rhel-ha-for-rhel-7-server-fastrack-rpms]
    [rhel-7-server-rhev-mgmt-agent-beta-debug-rpms]
    [rhel-7-server-extras-rpms]
    [rhel-7-server-rhev-mgmt-agent-debug-rpms]
    [rhel-7-server-rhn-tools-beta-rpms]
    [rhel-7-server-supplementary-debug-rpms]
    [rhel-7-server-openstack-beta-cts-debug-rpms]
    [rhel-server-rhscl-7-beta-source-rpms]
    [rhel-sap-for-rhel-7-server-source-rpms]
    [rhel-7-server-openstack-beta-source-rpms]
    [rhel-lb-for-rhel-7-server-htb-debug-rpms]
    [rhel-7-server-optional-beta-debug-rpms]
    [rhel-server-rhscl-7-beta-debug-rpms]
    [rhel-7-server-optional-fastrack-debug-rpms]
    [rhel-ha-for-rhel-7-server-fastrack-debug-rpms]
    [rhel-7-server-htb-rpms]
    [rhel-lb-for-rhel-7-server-htb-rpms]
    [rhel-rs-for-rhel-7-server-source-rpms]
    [rhel-7-server-supplementary-beta-source-rpms]
    [rhel-7-server-rhevh-debug-rpms]
    [jb-ews-2-for-rhel-7-server-debug-rpms]
    [rhel-7-server-extras-htb-debug-rpms]
    [rhel-7-server-optional-debug-rpms]
    [rhel-sap-for-rhel-7-server-rpms]
    [rhel-ha-for-rhel-7-server-source-rpms]
    [jb-eap-6-for-rhel-7-server-rpms]
    [rhel-lb-for-rhel-7-server-htb-source-rpms]
    [rhel-7-server-rhev-mgmt-agent-beta-rpms]
    [rhel-server-rhscl-7-rpms]
    [rhel-7-server-rhevh-beta-rpms]
    [rhel-ha-for-rhel-7-server-htb-debug-rpms]
    [rhel-7-server-rhn-tools-rpms]
    [rhel-rs-for-rhel-7-server-debug-rpms]
    [rhel-rs-for-rhel-7-server-fastrack-rpms]
    [rhel-7-server-rhevh-source-rpms]
    [rhel-7-server-optional-fastrack-source-rpms]
    [rhel-7-server-fastrack-rpms]
    [rhel-7-server-rh-common-source-rpms]
    [rhel-7-server-openstack-5.0-rpms]
    [rhel-7-server-optional-fastrack-rpms]
    [rhel-7-server-rhevh-rpms]
    [jb-eap-6-for-rhel-7-server-debug-rpms]
    [rhel-7-server-htb-debug-rpms]
    [rhel-7-server-rhn-tools-beta-source-rpms]
    [rhel-sap-for-rhel-7-server-beta-rpms]
    [rhel-7-server-source-rpms]
    [rhel-7-server-extras-source-rpms]
    [rhel-7-server-optional-htb-debug-rpms]
    [rhel-rs-for-rhel-7-server-beta-debug-rpms]
    [rhel-7-server-fastrack-debug-rpms]
    [rhel-rs-for-rhel-7-server-rpms]
    [rhel-rs-for-rhel-7-server-htb-source-rpms]
    [rhel-7-server-optional-source-rpms]
    [rhel-7-server-rhn-tools-beta-debug-rpms]
    [rhel-server-rhscl-7-beta-rpms]
    [rhel-7-server-beta-source-rpms]
    [rhel-7-server-openstack-beta-rpms]
    [rhel-7-server-rhev-mgmt-agent-rpms]
    [rhel-sap-for-rhel-7-server-debug-rpms]
    [rhel-7-server-rh-common-beta-rpms]
    [rhel-server-rhscl-7-debug-rpms]
    [rhel-7-server-extras-debug-rpms]
    [rhel-7-server-debug-rpms]
    [rhel-server-rhscl-7-source-rpms]
    [rhel-ha-for-rhel-7-server-beta-source-rpms]
    [jb-ews-2-for-rhel-7-server-source-rpms]
    [rhel-7-server-rh-common-rpms]
    [rhel-7-server-extras-htb-rpms]
    [rhel-7-server-rhev-mgmt-agent-source-rpms]
    [rhel-7-server-rh-common-debug-rpms]
    [rhel-7-server-rh-common-beta-source-rpms]
    [rhel-7-server-fastrack-source-rpms]
    [rhel-7-server-optional-htb-source-rpms]
    [rhel-7-server-supplementary-beta-rpms]
    [rhel-7-server-optional-beta-source-rpms]
    [rhel-7-server-openstack-beta-cts-rpms]
    [rhel-rs-for-rhel-7-server-beta-source-rpms]
    [rhel-7-server-hts-rpms]
    [rhel-7-server-rhn-tools-debug-rpms]
    [rhel-7-server-optional-htb-rpms]
    [rhel-7-server-openstack-beta-cts-source-rpms]
    [rhel-ha-for-rhel-7-server-rpms]
    [rhel-7-server-rpms]
    [rhel-ha-for-rhel-7-server-htb-rpms]
    [rhel-7-server-openstack-5.0-source-rpms]
    [rhel-7-server-rh-common-beta-debug-rpms]
    [jb-eap-6-for-rhel-7-server-source-rpms]
    [rhel-7-server-supplementary-beta-debug-rpms]
    [rhel-sap-for-rhel-7-server-beta-source-rpms]
    [rhel-7-server-openstack-5.0-debug-rpms]
    [rhel-7-server-rhevh-beta-source-rpms]
    [rhel-7-server-rhevh-beta-debug-rpms]
    [rhel-ha-for-rhel-7-server-beta-rpms]
    [rhel-7-server-rhn-tools-source-rpms]
    [rhel-7-server-beta-rpms]
    [rhel-rs-for-rhel-7-server-htb-debug-rpms]
    [rhel-sap-for-rhel-7-server-beta-debug-rpms]
    [rhel-7-server-rhev-mgmt-agent-beta-source-rpms]
    [rhel-ha-for-rhel-7-server-fastrack-source-rpms]
    [rhel-ha-for-rhel-7-server-debug-rpms]
    [rhel-7-server-openstack-beta-debug-rpms]
    [rhel-7-server-supplementary-rpms]
    [rhel-7-server-optional-rpms]
    [rhel-7-server-htb-source-rpms]
    [rhel-rs-for-rhel-7-server-fastrack-source-rpms]
    [rhel-7-server-hts-source-rpms]
    [jb-ews-2-for-rhel-7-server-rpms]
    [rhel-rs-for-rhel-7-server-beta-rpms]
    [rhel-7-server-supplementary-source-rpms]
    [rhel-rs-for-rhel-7-server-htb-rpms]
    [rhel-7-server-beta-debug-rpms]
    [rhel-7-server-optional-beta-rpms]
2014-07-24 08:32:34,002 [DEBUG] subscription-manager @plugins.py:769 - Running update_content_hook in ostree_content.OstreeContentPlugin
2014-07-24 08:32:34,002 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2622ad0>
2014-07-24 08:32:34,002 [INFO] subscription-manager @ostree_content.py:35 - Updating OSTree content.
2014-07-24 08:32:34,002 [DEBUG] subscription-manager @ostree_content.py:36 - ostree module: <module 'subscription_manager.plugin.ostree' from '/usr/share/rhsm/subscription_manager/plugin/ostree/__init__.py'>
2014-07-24 08:32:34,002 [DEBUG] subscription-manager @ostree_content.py:37 - dir(ostree): ['__builtins__', '__doc__', '__file__', '__name__', '__package__', '__path__', 'action_invoker', 'config', 'model']
2014-07-24 08:32:34,002 [DEBUG] subscription-manager @ostree_content.py:38 - conduit.ent_source: <subscription_manager.content_action_client.EntitlementDirEntitlementSource object at 0x19e5390>
2014-07-24 08:32:34,003 [DEBUG] subscription-manager @model.py:254 - section: |remote "rhel-atomic-preview-ostree"|
2014-07-24 08:32:34,003 [DEBUG] subscription-manager @model.py:256 - item_list: [('url', 'http://cdn.qa.redhat.com/content/preview/rhel/atomic/7/x86_64/ostree/repo'), ('tls-client-cert-path', '/etc/pki/entitlement/4731877811206992948.pem'), ('tls-client-key-path', '/etc/pki/entitlement/4731877811206992948-key.pem'), ('gpg-verify', 'false'), ('tls-ca-path', '/etc/rhsm/ca/redhat-uep.pem')]
2014-07-24 08:32:34,004 [DEBUG] subscription-manager @model.py:258 - items: {'url': 'http://cdn.qa.redhat.com/content/preview/rhel/atomic/7/x86_64/ostree/repo', 'tls-client-cert-path': '/etc/pki/entitlement/4731877811206992948.pem', 'tls-client-key-path': '/etc/pki/entitlement/4731877811206992948-key.pem', 'gpg-verify': 'false', 'tls-ca-path': '/etc/rhsm/ca/redhat-uep.pem'}
2014-07-24 08:32:34,004 [DEBUG] subscription-manager @model.py:132 - ITEMS: {'url': 'http://cdn.qa.redhat.com/content/preview/rhel/atomic/7/x86_64/ostree/repo', 'tls-client-cert-path': '/etc/pki/entitlement/4731877811206992948.pem', 'tls-client-key-path': '/etc/pki/entitlement/4731877811206992948-key.pem', 'gpg-verify': 'false', 'tls-ca-path': '/etc/rhsm/ca/redhat-uep.pem'}
2014-07-24 08:32:34,004 [DEBUG] subscription-manager @model.py:450 - builder.build <subscription_manager.plugin.ostree.action_invoker.OstreeContents object at 0x2623510>
2014-07-24 08:32:34,004 [DEBUG] subscription-manager @action_invoker.py:66 - Updates orig: <OsTreeConfig repo_file_path=None>
Core: {'repo_version': '1', 'mode': 'bare'}
Remotes: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
 <subscription_manager.plugin.ostree.model.OstreeRemote object at 0x26234d0>
 (name=rhel-atomic-preview-ostree
 url=http://cdn.qa.redhat.com/content/preview/rhel/atomic/7/x86_64/ostree/repo
 gpg_verify=false
 tls_client_cert_path=/etc/pki/entitlement/4731877811206992948.pem
 tls_client_key_path=/etc/pki/entitlement/4731877811206992948-key.pem)
</OstreeRemotes>

2014-07-24 08:32:34,004 [DEBUG] subscription-manager @action_invoker.py:67 - Updates new: <OsTreeConfig repo_file_path=None>
Core: {'repo_version': '1', 'mode': 'bare'}
Remotes: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
</OstreeRemotes>

2014-07-24 08:32:34,005 [DEBUG] subscription-manager @action_invoker.py:68 - Updates.new.remote_set: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
</OstreeRemotes>

2014-07-24 08:32:34,005 [DEBUG] subscription-manager @model.py:549 - OstreeConfigUpdates.save
2014-07-24 08:32:34,005 [DEBUG] subscription-manager @model.py:514 - OstreeConfig.save
2014-07-24 08:32:34,005 [DEBUG] subscription-manager @model.py:299 - ostreeRepoConfigFileLoader.save <OsTreeConfig repo_file_path=None>
Core: {'repo_version': '1', 'mode': 'bare'}
Remotes: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
</OstreeRemotes>

2014-07-24 08:32:34,006 [DEBUG] subscription-manager @config.py:144 - OstreeConfigFile.save
2014-07-24 08:32:34,006 [DEBUG] subscription-manager @config.py:117 - section: core
2014-07-24 08:32:34,006 [DEBUG] subscription-manager @config.py:119 -      repo_version: 1
2014-07-24 08:32:34,006 [DEBUG] subscription-manager @config.py:119 -      mode: bare
2014-07-24 08:32:34,006 [DEBUG] subscription-manager @config.py:112 - KeyFile.save /ostree/repo/config
2014-07-24 08:32:34,202 [DEBUG] subscription-manager @model.py:375 - Loading ostree origin file: /ostree/deploy/rhel-atomic-host/deploy/d45dfe1c31878ac83e3525e440b17267a46d4c2a917aa73a61f5d88d2ccbd529.0.origin
2014-07-24 08:32:34,203 [DEBUG] subscription-manager @model.py:392 - old_refspec: rhel-atomic-preview-ostree:rhel-atomic-host/7/x86_64/standard
2014-07-24 08:32:34,203 [DEBUG] subscription-manager @model.py:363 - First portion of previous ref: rhel-atomic-host
2014-07-24 08:32:34,203 [DEBUG] subscription-manager @model.py:394 - new_remote: None
2014-07-24 08:32:34,203 [WARNING] subscription-manager @model.py:396 - Unable to find matching remote for origin: rhel-atomic-preview-ostree:rhel-atomic-host/7/x86_64/standard
2014-07-24 08:32:34,203 [WARNING] subscription-manager @model.py:397 - Leaving refspec in /ostree/deploy/rhel-atomic-host/deploy/d45dfe1c31878ac83e3525e440b17267a46d4c2a917aa73a61f5d88d2ccbd529.0.origin
2014-07-24 08:32:34,204 [DEBUG] subscription-manager @model.py:416 - No ostree remote urls found in content.
2014-07-24 08:32:34,204 [DEBUG] subscription-manager @action_invoker.py:84 - Ostree update report: Ostree repo updates

Updates:

Added:

Deleted:

2014-07-24 08:32:34,205 [DEBUG] subscription-manager @entbranding.py:47 - BrandInstaller ent_certs:  []
2014-07-24 08:32:34,206 [DEBUG] subscription-manager @certdirectory.py:204 - Installed product IDs: ['69', '247']
2014-07-24 08:32:34,206 [DEBUG] subscription-manager @rhelentbranding.py:122 - 0 entitlement certs with brand info found
2014-07-24 08:32:34,206 [INFO] subscription-manager @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-07-24 08:32:34,207 [INFO] subscription-manager @cache.py:155 - No changes.
2014-07-24 08:32:34,207 [DEBUG] subscription-manager @certdirectory.py:204 - Installed product IDs: ['69', '247']
2014-07-24 08:32:34,207 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:32:34,208 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/compliance
2014-07-24 08:32:34,725 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=135b1cee-9eff-4bac-946a-b1a7e5d4021f
2014-07-24 08:32:34,727 [DEBUG] subscription-manager @cache.py:259 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2014-07-24 08:32:34,727 [DEBUG] subscription-manager @cert_sorter.py:193 - valid entitled products: []
2014-07-24 08:32:34,728 [DEBUG] subscription-manager @cert_sorter.py:194 - expired entitled products: []
2014-07-24 08:32:34,728 [DEBUG] subscription-manager @cert_sorter.py:195 - partially entitled products: []
2014-07-24 08:32:34,728 [DEBUG] subscription-manager @cert_sorter.py:196 - unentitled products: ['69', '247']
2014-07-24 08:32:34,728 [DEBUG] subscription-manager @cert_sorter.py:197 - future products: []
2014-07-24 08:32:34,728 [DEBUG] subscription-manager @cert_sorter.py:198 - partial stacks: []
2014-07-24 08:32:34,729 [DEBUG] subscription-manager @cert_sorter.py:199 - entitlements valid until: None
2014-07-24 08:32:35,083 [INFO] rhsmd @rhsmd:194 - rhsmd started
2014-07-24 08:32:35,089 [INFO] rhsmd @rhsmd:149 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 1
2014-07-24 08:32:35,089 [DEBUG] rhsmd @identity.py:131 - Loading consumer info from identity certificates.
2014-07-24 08:32:35,099 [INFO] rhsmd @rhsmd:117 - D-Bus signal com.redhat.SubscriptionManager.EntitlementStatus.entitlement_status_changed emitted
----------------------------------------------------------------

2014-07-24 08:36:25,187 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x2215c10>
2014-07-24 08:36:25,188 [DEBUG] rhsmcertd-worker @profile.py:97 - Loading current RPM profile.
2014-07-24 08:36:25,202 [INFO] rhsmcertd-worker @connection.py:659 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-07-24 08:36:25,202 [INFO] rhsmcertd-worker @connection.py:670 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-07-24 08:36:25,203 [DEBUG] rhsmcertd-worker @identity.py:131 - Loading consumer info from identity certificates.
2014-07-24 08:36:25,204 [INFO] rhsmcertd-worker @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-07-24 08:36:25,204 [INFO] rhsmcertd-worker @cache.py:155 - No changes.
2014-07-24 08:36:25,204 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.healinglib.HealingActionInvoker object at 0x2215a50>
2014-07-24 08:36:25,209 [DEBUG] rhsmcertd-worker @plugins.py:569 - loaded plugin modules: [<module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.py'>]
2014-07-24 08:36:25,209 [DEBUG] rhsmcertd-worker @plugins.py:570 - loaded plugins: {'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x22b0f10>}
2014-07-24 08:36:25,210 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:36:25,210 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf
2014-07-24 08:36:25,727 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=200, requestUuid=49fdccf0-e85c-4c5e-aade-fae16ba3c16f
2014-07-24 08:36:25,728 [INFO] rhsmcertd-worker @healinglib.py:82 - Checking if system requires healing.
2014-07-24 08:36:25,729 [INFO] rhsmcertd-worker @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-07-24 08:36:25,729 [INFO] rhsmcertd-worker @cache.py:155 - No changes.
2014-07-24 08:36:25,729 [DEBUG] rhsmcertd-worker @certdirectory.py:204 - Installed product IDs: ['69', '247']
2014-07-24 08:36:25,730 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:36:25,730 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/compliance
2014-07-24 08:36:26,226 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=200, requestUuid=c81db004-9f87-4c93-8143-ba55683177a9
2014-07-24 08:36:26,227 [DEBUG] rhsmcertd-worker @cache.py:259 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2014-07-24 08:36:26,228 [DEBUG] rhsmcertd-worker @cert_sorter.py:193 - valid entitled products: []
2014-07-24 08:36:26,228 [DEBUG] rhsmcertd-worker @cert_sorter.py:194 - expired entitled products: []
2014-07-24 08:36:26,229 [DEBUG] rhsmcertd-worker @cert_sorter.py:195 - partially entitled products: []
2014-07-24 08:36:26,229 [DEBUG] rhsmcertd-worker @cert_sorter.py:196 - unentitled products: ['69', '247']
2014-07-24 08:36:26,229 [DEBUG] rhsmcertd-worker @cert_sorter.py:197 - future products: []
2014-07-24 08:36:26,229 [DEBUG] rhsmcertd-worker @cert_sorter.py:198 - partial stacks: []
2014-07-24 08:36:26,229 [DEBUG] rhsmcertd-worker @cert_sorter.py:199 - entitlements valid until: None
2014-07-24 08:36:26,230 [WARNING] rhsmcertd-worker @healinglib.py:96 - Found invalid entitlements for today: 2014-07-24 08:36:25.729178+00:00
2014-07-24 08:36:26,231 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:36:26,231 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: POST /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/entitlements?entitle_date=2014-07-24T08%3A36%3A25.729178%2B00%3A00
2014-07-24 08:36:43,253 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=200, requestUuid=8524570b-897f-4347-9d64-a9236b3f3cbd
2014-07-24 08:36:43,258 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:36:43,258 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/certificates/serials
2014-07-24 08:36:57,094 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=200, requestUuid=983141d8-03d4-4615-8d7e-f5e90de6f34c
2014-07-24 08:36:57,096 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:36:57,096 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: GET /subscription/consumers/1e161eb2-4d42-4f3d-8558-14015cdce5bf/certificates?serials=4664876473644924883
2014-07-24 08:36:57,760 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=200, requestUuid=3234ab68-971a-43a5-a16f-cb8bc003005c
2014-07-24 08:36:57,762 [DEBUG] rhsmcertd-worker @entcertlib.py:348 - Ent cert bundle pre_install
2014-07-24 08:36:57,786 [DEBUG] rhsmcertd-worker @entcertlib.py:370 - ent cert bundle post_install
2014-07-24 08:36:57,786 [DEBUG] rhsmcertd-worker @entcertlib.py:302 - cert bundles post_install: <rhsm.certificate2.EntitlementCertificate object at 0x2a47350>
2014-07-24 08:36:57,787 [INFO] rhsmcertd-worker @entcertlib.py:131 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [4664876473644924883]
Added (new)
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (JBoss Enterprise Web Platform,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Storage Software Appliance,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for IBM POWER - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Collections (for RHEL Client),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Oracle Java (for RHEL Compute Node) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise Infrastructure Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Identity Replication,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenStack,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Hardware Certification Test Suite,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 for HPC Compute Node High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (JBoss Enterprise Application Platform,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Oracle Java (for RHEL Workstation),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for IBM POWER,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux EUS Compute Node,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Collections (for RHEL Workstation),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise Application Node Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Scalable File System (for RHEL Workstation),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (JBoss Enterprise Application Platform - ELS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 for IBM POWER High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux EUS Compute Node High Performance Networking,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Storage Server for On-premise,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Atomic Host,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for IBM System z - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenStack Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Directory Server,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (MRG Realtime,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise Infrastructure,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Test Suite 5 (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Availability (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux EUS Compute Node Scalable File System,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 for IBM System z High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (JBoss Enterprise Web Server,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Developer Toolset (for RHEL Workstation),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Server - AUS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for SAP,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for IBM System z,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 Desktop High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Storage,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Oracle Java (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise Application Node,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Scalable File System (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenStack Beta Certification Test Suite,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat S-JIS Support (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Kernel Derivative Works for HPC for Power Systems,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Workstation,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Oracle Java (for RHEL Client),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Storage Management Console (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise MRG Messaging 2,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Availability (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (MRG Grid,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 Workstation High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Collections Beta (for RHEL Client),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Load Balancer (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat S-JIS Support (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Developer Toolset (for RHEL for IBM POWER),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Virtualization,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Server - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 Resilient Storage High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 Server High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Server HTB,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Collections Beta (for RHEL Workstation),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Developer Toolset (for RHEL for IBM POWER) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Oracle Java (for RHEL Compute Node),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Developer Toolset (for RHEL Server EUS),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Desktop,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat EUCJP Support (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 Load Balancer High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Developer Toolset (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise Client Tools Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise Client Tools,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for SAP Hana,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat EUCJP Support (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux 7 High Availability High Touch Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Oracle Java (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Software Collections Beta (for RHEL Server),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - AUS,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node),) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux Workstation HTB,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat Enterprise Linux for Scientific Computing,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Kernel Derivative Works for Bluegene/Q,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise JBoss EAP add-on Beta,) @ /etc/pki/entitlement/4664876473644924883.pem]
  [sn:4664876473644924883 (Red Hat OpenShift Enterprise JBoss EAP add-on,) @ /etc/pki/entitlement/4664876473644924883.pem]
Deleted (rogue):
  <NONE>
2014-07-24 08:36:57,806 [DEBUG] rhsmcertd-worker @entcertlib.py:173 - entcerlibaction.repo_hook
2014-07-24 08:36:57,807 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x22bb310>
2014-07-24 08:36:57,807 [DEBUG] rhsmcertd-worker @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-07-24 08:36:57,808 [DEBUG] rhsmcertd-worker @connection.py:446 - Making request: GET /subscription/
2014-07-24 08:36:58,259 [DEBUG] rhsmcertd-worker @connection.py:469 - Response: status=200, requestUuid=1b2e18ca-1657-40ce-a87f-8c7491eed68a
2014-07-24 08:36:58,260 [DEBUG] rhsmcertd-worker @connection.py:686 - Server supports the following resources:

Comment 2 Adrian Likins 2014-07-28 16:36:40 UTC
I think this is a variety of https://bugzilla.redhat.com/show_bug.cgi?id=1117420
and https://bugzilla.redhat.com/show_bug.cgi?id=1115212

rhsmcertd-worker does not have read/write access to /ostree/repo/config,
so fails to update the ostree config.

Comment 3 Adrian Likins 2014-07-28 16:37:00 UTC
audit.log

type=AVC msg=audit(1406556362.627:5681): avc:  denied  { read } for  pid=12325 comm="rhsmcertd-worke" name="ostree" dev="vda3" ino=8449702 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=lnk_file
type=SYSCALL msg=audit(1406556362.627:5681): arch=c000003e syscall=2 success=no exit=-13 a0=1fabb90 a1=241 a2=1b6 a3=3 items=0 ppid=12319 pid=12325 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="rhsmcertd-worke" exe="/usr/bin/python2.7" subj=system_u:system_r:rhsmcertd_t:s0 key=(null)
type=USER_CMD msg=audit(1406560990.289:5837): pid=12641 uid=1000 auid=1000 ses=734 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/var/log/rhsm" cmd=6C73202F7661722F6C6F672F61756469742F terminal=pts/1 res=success'
type=USER_CMD msg=audit(1406560998.575:5842): pid=12646 uid=1000 auid=1000 ses=734 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/var/log/rhsm" cmd=6C657373202F7661722F6C6F672F61756469742F61756469742E6C6F67 terminal=pts/1 res=success'
type=USER_CMD msg=audit(1406561020.727:5847): pid=12648 uid=1000 auid=1000 ses=734 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/var/log/rhsm" cmd="su" terminal=pts/1 res=success'

Comment 4 Adrian Likins 2014-07-28 16:38:50 UTC
bash-4.2# ls -laZ /ostree/repo/config 
-rw-r--r--. root root system_u:object_r:default_t:s0   /ostree/repo/config

Comment 5 Bryan Kearney 2014-07-30 19:23:43 UTC
Acking 7.1

Comment 6 Adrian Likins 2014-10-17 17:36:27 UTC
Comment 1 looks like a bug that was fixed in subscription-manager-1.12.6 and
commit. (should be in RHEL7.1 builds, but needs tagged into atomic builds)

commit 69979a2c8d95715d14e8d4d90d436d4c99d941a4
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Jun 26 21:44:18 2014 -0400

    Always update ostree refspec when adding remotes.
    
    For a fresh install the ostree origin refspec for the deployed
    origin may have a name that doesn't match the remote
    names for the ostree content that system has subscribed
    to. So, for now, always up the refspec to map the ostree
    repo configs we create, so that ostree will find them.
    
    An example of this might be a system that has it's
    ostree refspec setup by anaconda to 'ostree-atomic:ostree-atomic-awesome'.
    Those names may not map to the names from the product ids installed
    on the machine. And if the remote names don't match the
    install product names or refspec, we have to pick something.
    
    If there is just one remote, choose it. If there is more than
    one, pick the first one sorted by name. For now.
    
    Update unit tests.

Comment 8 Rehana 2014-12-17 09:01:50 UTC
Retested on ,

# subscription-manager  version 
server type: Red Hat Subscription Management
subscription management server: 0.9.26.4-1
subscription management rules: 5.11
subscription-manager: 1.13.10-1.el7
python-rhsm: 1.13.8-1.el7

Observed that no content were updated after auto-attach/heal

-bash-4.2# subscription-manager  identity 
system identity: 35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4
name: localhost.localdomain
org name: 7346191
org ID: 7346191
# subscription-manager  attach --auto 

All installed products are covered by valid entitlements. No need to update subscriptions at this time.

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Atomic Host Beta
Status:       Subscribed

# cat /ostree/repo/config 
[core]
repo_version=1
mode=bare


# cat /etc/rhsm/pluginconf.d/container_content.ContainerContentPlugin.conf
[main]
enabled = 1
registry_hostnames = registry.access.redhat.com,cdn.redhat.com

ostree contents are available in the entitlement certs

# rct cc /etc/pki/entitlement/5735418529569462436.pem | grep "ostree" -A19
	Type: ostree
	Name: Red Hat Enterprise Linux Atomic Host Beta (Trees)
	Label: rhel-atomic-host-beta-ostree
	Vendor: Red Hat
	URL: /content/beta/rhel/atomic/7/x86_64/ostree/repo
	GPG: http://
	Enabled: False
	Expires: 86400
	Required Tags: rhel-atomic-beta-7
	Arches: x86_64

-bash-4.2# cd /etc/ostree/remotes.d/
-bash-4.2# ll
total 4
-rw-r--r--. 1 root root 116 Dec 17 01:41 beta.brew.conf
-rw-r--r--. 1 root root   0 Dec 17 03:41 redhat.conf

-bash-4.2# cat redhat.conf 
-bash-4.2# ls -laZ /etc/ostree/remotes.d/
drwxr-xr-x. root root system_u:object_r:etc_t:s0       .
drwxr-xr-x. root root system_u:object_r:etc_t:s0       ..
-rw-r--r--. root root unconfined_u:object_r:etc_t:s0   beta.brew.conf
-rw-r--r--. root root unconfined_u:object_r:etc_t:s0   redhat.conf

rhsm.log details during auto-attach execution
---------------------------------------------

2014-12-17 03:41:39,565 [DEBUG] subscription-manager @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.py'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.py'>]
2014-12-17 03:41:39,565 [DEBUG] subscription-manager @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x243a250>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x243a4d0>}
2014-12-17 03:41:39,565 [DEBUG] subscription-manager @identity.py:131 - Loading consumer info from identity certificates.
2014-12-17 03:41:39,603 [DEBUG] subscription-manager @profile.py:97 - Loading current RPM profile.
2014-12-17 03:41:39,618 [INFO] subscription-manager @managercli.py:340 - Client Versions: {'python-rhsm': '1.13.8-1.el7', 'subscription-manager': '1.13.10-1.el7'}
2014-12-17 03:41:39,618 [INFO] subscription-manager @connection.py:679 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-12-17 03:41:39,619 [INFO] subscription-manager @connection.py:690 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-12-17 03:41:39,619 [INFO] subscription-manager @connection.py:686 - Using no auth
2014-12-17 03:41:39,619 [INFO] subscription-manager @connection.py:690 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-12-17 03:41:39,620 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:39,620 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/
2014-12-17 03:41:40,809 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:40,810 [DEBUG] subscription-manager @connection.py:706 - Server supports the following resources:
2014-12-17 03:41:40,811 [DEBUG] subscription-manager @connection.py:707 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'pools': '/pools', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2014-12-17 03:41:40,812 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:40,812 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/status
2014-12-17 03:41:42,013 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:42,015 [INFO] subscription-manager @managercli.py:351 - Server Versions: {'rules-version': '5.11', 'candlepin': '0.9.26.4-1', 'server-type': 'Red Hat Subscription Management'}
2014-12-17 03:41:42,016 [INFO] subscription-manager @managercli.py:316 - self.identity: <Identity, name=localhost.localdomain, uuid=35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4, consumer=consumer: name="localhost.localdomain", uuid=35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4>
2014-12-17 03:41:42,016 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.entcertlib.EntCertActionInvoker object at 0x22fd790>
2014-12-17 03:41:42,017 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:42,017 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/certificates/serials
2014-12-17 03:41:43,572 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:43,574 [INFO] subscription-manager @entcertlib.py:131 - certs updated:
Total updates: 0
Found (local) serial# []
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
2014-12-17 03:41:43,576 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.identitycertlib.IdentityCertActionInvoker object at 0x22fdb50>
2014-12-17 03:41:43,577 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:43,577 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4
2014-12-17 03:41:45,189 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:45,192 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentActionClient object at 0x22fd990>
2014-12-17 03:41:45,193 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x22fdc90>
2014-12-17 03:41:45,196 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:45,196 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/
2014-12-17 03:41:46,672 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:46,673 [DEBUG] subscription-manager @connection.py:706 - Server supports the following resources:
2014-12-17 03:41:46,674 [DEBUG] subscription-manager @connection.py:707 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'pools': '/pools', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2014-12-17 03:41:46,675 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:46,676 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/content_overrides
2014-12-17 03:41:48,176 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:48,177 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
2014-12-17 03:41:48,178 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:48,178 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/release
2014-12-17 03:41:52,870 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:52,872 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: yum
2014-12-17 03:41:52,874 [DEBUG] subscription-manager @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2014-12-17 03:41:52,875 [INFO] subscription-manager @repolib.py:211 - repos updated: Repo updates

Total repo updates: 0
Updated
    <NONE>
Added (new)
    <NONE>
Deleted
    <NONE>
2014-12-17 03:41:52,875 [DEBUG] subscription-manager @plugins.py:769 - Running update_content_hook in container_content.ContainerContentPlugin
2014-12-17 03:41:52,876 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2326dd0>
2014-12-17 03:41:52,876 [INFO] subscription-manager @container_content.py:43 - Updating container content.
2014-12-17 03:41:52,876 [INFO] subscription-manager @container_content.py:45 - registry hostnames = registry.access.redhat.com,cdn.redhat.com
2014-12-17 03:41:52,876 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: containerimage
2014-12-17 03:41:52,876 [DEBUG] subscription-manager @container.py:53 - Got content_sets: []
2014-12-17 03:41:52,876 [DEBUG] subscription-manager @container.py:138 - Syncing container certificates to /etc/docker/certs.d/registry.access.redhat.com
2014-12-17 03:41:52,877 [DEBUG] subscription-manager @container.py:138 - Syncing container certificates to /etc/docker/certs.d/cdn.redhat.com
2014-12-17 03:41:52,877 [DEBUG] subscription-manager @plugins.py:769 - Running update_content_hook in ostree_content.OstreeContentPlugin
2014-12-17 03:41:52,877 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2326e90>
2014-12-17 03:41:52,877 [INFO] subscription-manager @ostree_content.py:34 - ostree update_content_hook plugin.
2014-12-17 03:41:52,878 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: ostree
2014-12-17 03:41:53,031 [DEBUG] subscription-manager @model.py:355 - First portion of previous ref: rhel-atomic-host
2014-12-17 03:41:53,031 [WARNING] subscription-manager @model.py:407 - Unable to find matching remote for origin: rhel-atomic-host-beta-ostree:rhel-atomic-host/7/x86_64/standard
2014-12-17 03:41:53,031 [WARNING] subscription-manager @model.py:408 - Leaving refspec in /ostree/deploy/rhel-atomic-host/deploy/ba227a0459d8fb0abf6470d66ef9dbb09221cc0a8e08151d6781c36c8067b8d1.0.origin
2014-12-17 03:41:53,031 [DEBUG] subscription-manager @model.py:427 - No ostree remote urls found in content.
2014-12-17 03:41:53,032 [DEBUG] subscription-manager @action_invoker.py:95 - Ostree update report: Ostree repo updates

Updates:

Added:

Deleted:

2014-12-17 03:41:53,032 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.factlib.FactsActionInvoker object at 0x22fd910>
2014-12-17 03:41:53,086 [DEBUG] subscription-manager @hwprobe.py:554 - cpu info: {'cpu.cpu(s)': 1, 'cpu.core(s)_per_socket': 1, 'cpu.thread(s)_per_core': 1, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 1}
2014-12-17 03:41:53,090 [DEBUG] subscription-manager @hwprobe.py:773 - Running 'virt-what'
2014-12-17 03:41:53,106 [DEBUG] subscription-manager @hwprobe.py:777 - virt-what stdout: kvm

2014-12-17 03:41:53,107 [DEBUG] subscription-manager @hwprobe.py:778 - virt-what stderr: 
2014-12-17 03:41:53,107 [INFO] subscription-manager @hwprobe.py:766 - virt.is_guest: True
2014-12-17 03:41:53,107 [INFO] subscription-manager @hwprobe.py:767 - virt.host_type: kvm
2014-12-17 03:41:53,112 [INFO] subscription-manager @hwprobe.py:822 - virt.uuid: 3a3b3129-25f5-c507-ddd3-bcd3654297de
2014-12-17 03:41:53,113 [INFO] subscription-manager @factlib.py:104 - Facts have not changed, skipping upload.
2014-12-17 03:41:53,113 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.packageprofilelib.PackageProfileActionInvoker object at 0x22fda50>
2014-12-17 03:41:53,114 [INFO] subscription-manager @cache.py:339 - Server does not support packages, skipping profile upload.
2014-12-17 03:41:53,114 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x22fdad0>
2014-12-17 03:41:53,114 [INFO] subscription-manager @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-12-17 03:41:53,114 [INFO] subscription-manager @cache.py:155 - No changes.
2014-12-17 03:41:53,115 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:53,115 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4
2014-12-17 03:41:54,659 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:54,663 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/product_status.json
2014-12-17 03:41:54,663 [INFO] subscription-manager @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-12-17 03:41:54,664 [INFO] subscription-manager @cache.py:155 - No changes.
2014-12-17 03:41:54,664 [DEBUG] subscription-manager @certdirectory.py:216 - Installed product IDs: ['69', '272']
2014-12-17 03:41:54,665 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:54,666 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/compliance
2014-12-17 03:41:56,307 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:41:56,310 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2014-12-17 03:41:56,310 [DEBUG] subscription-manager @cert_sorter.py:193 - valid entitled products: []
2014-12-17 03:41:56,310 [DEBUG] subscription-manager @cert_sorter.py:194 - expired entitled products: []
2014-12-17 03:41:56,311 [DEBUG] subscription-manager @cert_sorter.py:195 - partially entitled products: []
2014-12-17 03:41:56,311 [DEBUG] subscription-manager @cert_sorter.py:196 - unentitled products: ['69', '272']
2014-12-17 03:41:56,311 [DEBUG] subscription-manager @cert_sorter.py:197 - future products: []
2014-12-17 03:41:56,311 [DEBUG] subscription-manager @cert_sorter.py:198 - partial stacks: []
2014-12-17 03:41:56,312 [DEBUG] subscription-manager @cert_sorter.py:199 - entitlements valid until: None
2014-12-17 03:41:56,313 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:41:56,314 [DEBUG] subscription-manager @connection.py:466 - Making request: POST /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/entitlements
2014-12-17 03:42:01,864 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x23eded0>
2014-12-17 03:42:01,864 [DEBUG] rhsmcertd-worker @profile.py:97 - Loading current RPM profile.
2014-12-17 03:42:01,881 [INFO] rhsmcertd-worker @connection.py:679 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-12-17 03:42:01,881 [INFO] rhsmcertd-worker @connection.py:690 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-12-17 03:42:01,882 [DEBUG] rhsmcertd-worker @identity.py:131 - Loading consumer info from identity certificates.
2014-12-17 03:42:01,883 [INFO] rhsmcertd-worker @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-12-17 03:42:01,883 [INFO] rhsmcertd-worker @cache.py:155 - No changes.
2014-12-17 03:42:01,883 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.healinglib.HealingActionInvoker object at 0x23ed450>
2014-12-17 03:42:01,891 [DEBUG] rhsmcertd-worker @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.py'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.py'>]
2014-12-17 03:42:01,891 [DEBUG] rhsmcertd-worker @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x2311ad0>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x230a0d0>}
2014-12-17 03:42:01,891 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:42:01,892 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4
2014-12-17 03:42:13,392 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:42:34,177 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:42:34,180 [INFO] rhsmcertd-worker @healinglib.py:82 - Checking if system requires healing.
2014-12-17 03:42:34,180 [INFO] rhsmcertd-worker @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-12-17 03:42:34,181 [INFO] rhsmcertd-worker @cache.py:155 - No changes.
2014-12-17 03:42:34,181 [DEBUG] rhsmcertd-worker @certdirectory.py:216 - Installed product IDs: ['69', '272']
2014-12-17 03:42:34,182 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:42:34,183 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/compliance
2014-12-17 03:42:35,755 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:42:35,769 [DEBUG] rhsmcertd-worker @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:193 - valid entitled products: ['69', '272']
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:194 - expired entitled products: []
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:195 - partially entitled products: []
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:196 - unentitled products: []
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:197 - future products: []
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:198 - partial stacks: []
2014-12-17 03:42:35,770 [DEBUG] rhsmcertd-worker @cert_sorter.py:199 - entitlements valid until: 2014-12-31 05:00:00+00:00
2014-12-17 03:42:35,771 [INFO] rhsmcertd-worker @healinglib.py:108 - Entitlements are valid for today: 2014-12-17 08:42:34.180510+00:00
2014-12-17 03:42:35,771 [INFO] rhsmcertd-worker @healinglib.py:125 - Entitlements are valid for tomorrow: 2014-12-18 08:42:34.180510+00:00
2014-12-17 03:42:35,771 [INFO] rhsmcertd-worker @healinglib.py:133 - Auto-heal check complete.
2014-12-17 03:42:35,771 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.entcertlib.EntCertActionInvoker object at 0x23d7610>
2014-12-17 03:42:35,772 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:42:35,772 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/certificates/serials
2014-12-17 03:42:58,305 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:42:58,307 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:42:58,307 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/certificates?serials=5735418529569462436
2014-12-17 03:43:00,201 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:43:00,203 [DEBUG] rhsmcertd-worker @entcertlib.py:351 - Ent cert bundle pre_install
2014-12-17 03:43:00,231 [DEBUG] rhsmcertd-worker @entcertlib.py:373 - ent cert bundle post_install
2014-12-17 03:43:00,231 [DEBUG] rhsmcertd-worker @entcertlib.py:305 - cert bundles post_install: <rhsm.certificate2.EntitlementCertificate object at 0x2951d10>
2014-12-17 03:43:00,231 [INFO] rhsmcertd-worker @entcertlib.py:131 - certs updated:
Total updates: 1
Found (local) serial# []
Expected (UEP) serial# [5735418529569462436]
Added (new)
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Workstation,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for IBM POWER - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Certificate System,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Collections (for RHEL Client),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Beta,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Atomic Host Beta,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Load Balancer (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Collections Beta (for RHEL Client),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat S-JIS Support (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Developer Toolset (for RHEL for IBM POWER),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Hardware Certification Test Suite,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Server - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for IBM POWER,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Collections (for RHEL Workstation),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Container Images,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Scalable File System (for RHEL Workstation),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Collections Beta (for RHEL Workstation),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Developer Toolset (for RHEL Server EUS),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Desktop,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for IBM System z - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat EUCJP Support (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Directory Server,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (MRG Realtime,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Developer Toolset (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Container Images Beta,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Test Suite 5 (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Availability (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for SAP Hana,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Developer Toolset (for RHEL Workstation),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for SAP,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for IBM System z,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Atomic Host,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat EUCJP Support (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Software Collections Beta (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Scalable File System (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node),) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux for Scientific Computing,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat S-JIS Support (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/5735418529569462436.pem]
  [sn:5735418529569462436 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server),) @ /etc/pki/entitlement/5735418529569462436.pem]
Deleted (rogue):
  <NONE>
2014-12-17 03:43:00,242 [DEBUG] rhsmcertd-worker @entcertlib.py:173 - entcerlibaction.repo_hook
2014-12-17 03:43:00,242 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x2311e50>
2014-12-17 03:43:00,269 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:43:00,269 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/
2014-12-17 03:43:01,748 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:43:01,749 [DEBUG] rhsmcertd-worker @connection.py:706 - Server supports the following resources:
2014-12-17 03:43:01,750 [DEBUG] rhsmcertd-worker @connection.py:707 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'pools': '/pools', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2014-12-17 03:43:01,751 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:43:01,752 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/content_overrides
2014-12-17 03:43:03,253 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:43:03,255 [DEBUG] rhsmcertd-worker @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
2014-12-17 03:43:03,256 [DEBUG] rhsmcertd-worker @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:43:03,256 [DEBUG] rhsmcertd-worker @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/release
2014-12-17 03:43:08,421 [DEBUG] rhsmcertd-worker @connection.py:489 - Response: status=200
2014-12-17 03:43:08,423 [DEBUG] rhsmcertd-worker @__init__.py:85 - Searching for content of type: yum
2014-12-17 03:43:08,475 [DEBUG] rhsmcertd-worker @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2014-12-17 03:43:08,476 [INFO] rhsmcertd-worker @repolib.py:211 - repos updated: Repo updates

Total repo updates: 85
Updated
    <NONE>
Added (new)
    [id:rhel-7-server-optional-debug-rpms Red Hat Enterprise Linux 7 Server - Optional (Debug RPMs)]
    [id:rhel-7-server-rhn-tools-beta-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (Debug RPMs)]
    [id:rhel-7-server-v2vwin-1-debug-rpms Red Hat Virt V2V Tool for RHEL 7 (Debug RPMs)]
    [id:rhel-rs-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (Source RPMs)]
    [id:rhel-7-server-hts-rpms Red Hat Hardware Certification Test Suite (for RHEL 7 Server) (RPMs)]
    [id:rhel-7-server-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
    [id:rhel-rs-for-rhel-7-server-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (Source RPMs)]
    [id:rhel-7-server-beta-source-rpms Red Hat Enterprise Linux 7 Server Beta (Source RPMs)]
    [id:rhel-atomic-host-source-rpms Red Hat Enterprise Linux Atomic Host (Source RPMs)]
    [id:rhel-ha-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (Debug RPMs)]
    [id:rhel-server-rhscl-7-beta-rpms Red Hat Software Collections Beta RPMs for Red Hat Enterprise Linux 7 Server]
    [id:rhel-rs-for-rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (Source RPMs)]
    [id:rhel-ha-for-rhel-7-server-fastrack-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (RPMs)]
    [id:rhel-rs-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (Debug RPMs)]
    [id:rhel-7-server-v2vwin-1-rpms Red Hat Virt V2V Tool for RHEL 7 (RPMs)]
    [id:rhel-server-rhscl-7-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server]
    [id:rhel-7-server-rpms Red Hat Enterprise Linux 7 Server (RPMs)]
    [id:rhel-7-server-rhcmsys-9-source-rpms Red Hat Certificate System 9 Source RPMs (for RHEL 7 Server)]
    [id:rhel-sap-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux for SAP (RHEL 7 Server) (Debug RPMs)]
    [id:rhel-7-server-extras-rpms Red Hat Enterprise Linux 7 Server - Extras (RPMs)]
    [id:rhel-7-server-rh-common-beta-debug-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (Debug RPMs)]
    [id:rhel-7-server-supplementary-beta-debug-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (Debug RPMs)]
    [id:rhel-ha-for-rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (Debug RPMs)]
    [id:rhel-atomic-host-beta-debug-rpms Red Hat Enterprise Linux Atomic Host Beta (Debug RPMs)]
    [id:rhel-7-server-rhn-tools-beta-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (RPMs)]
    [id:rhel-server-rhscl-7-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 7 Server]
    [id:rhel-7-server-optional-beta-source-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (Source RPMs)]
    [id:rhel-7-server-supplementary-debug-rpms Red Hat Enterprise Linux 7 Server - Supplementary (Debug RPMs)]
    [id:rhel-7-server-rt-beta-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (RPMs)]
    [id:rhel-rs-for-rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (Debug RPMs)]
    [id:rhel-rs-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (RPMs)]
    [id:rhel-server-rhscl-7-beta-source-rpms Red Hat Software Collections Beta Source RPMs for Red Hat Enterprise Linux 7 Server]
    [id:rhel-sap-for-rhel-7-server-source-rpms Red Hat Enterprise Linux for SAP (RHEL 7 Server) (Source RPMs)]
    [id:rhel-7-server-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (RPMs)]
    [id:rhel-rs-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (Debug RPMs)]
    [id:rhel-rs-for-rhel-7-server-fastrack-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (RPMs)]
    [id:rhel-ha-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (RPMs)]
    [id:rhel-7-server-extras-debug-rpms Red Hat Enterprise Linux 7 Server - Extras (Debug RPMs)]
    [id:rhel-7-server-debug-rpms Red Hat Enterprise Linux 7 Server (Debug RPMs)]
    [id:rhel-ha-for-rhel-7-server-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (Source RPMs)]
    [id:rhel-ha-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (Source RPMs)]
    [id:rhel-atomic-host-rpms Red Hat Enterprise Linux Atomic Host (RPMs)]
    [id:rhel-7-server-fastrack-rpms Red Hat Enterprise Linux 7 Server - Fastrack (RPMs)]
    [id:rhel-sap-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux for SAP (RHEL 7 Server) Beta (RPMs)]
    [id:rhel-rs-for-rhel-7-server-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (RPMs)]
    [id:rhel-7-server-optional-beta-debug-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (Debug RPMs)]
    [id:rhel-7-server-rh-common-rpms Red Hat Enterprise Linux 7 Server - RH Common (RPMs)]
    [id:rhel-server-rhscl-7-beta-debug-rpms Red Hat Software Collections Beta Debug RPMs for Red Hat Enterprise Linux 7 Server]
    [id:rhel-7-server-optional-fastrack-debug-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (Debug RPMs)]
    [id:rhel-7-server-optional-fastrack-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (RPMs)]
    [id:rhel-sap-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux for SAP (RHEL 7 Server) Beta (Debug RPMs)]
    [id:rhel-7-server-rhcmsys-9-rpms Red Hat Certificate System 9 RPMs (for RHEL 7 Server)]
    [id:rhel-server-rhscl-7-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 7 Server]
    [id:rhel-ha-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (Debug RPMs)]
    [id:rhel-7-server-rh-common-debug-rpms Red Hat Enterprise Linux 7 Server - RH Common (Debug RPMs)]
    [id:rhel-7-server-supplementary-rpms Red Hat Enterprise Linux 7 Server - Supplementary (RPMs)]
    [id:rhel-atomic-host-debug-rpms Red Hat Enterprise Linux Atomic Host (Debug RPMs)]
    [id:rhel-sap-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux for SAP (RHEL 7 Server) Beta (Source RPMs)]
    [id:rhel-7-server-rhn-tools-beta-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (Source RPMs)]
    [id:rhel-7-server-v2vwin-1-source-rpms Red Hat Virt V2V Tool for RHEL 7 (Source RPMs)]
    [id:rhel-sap-for-rhel-7-server-rpms Red Hat Enterprise Linux for SAP (RHEL 7 Server) (RPMs)]
    [id:rhel-7-server-source-rpms Red Hat Enterprise Linux 7 Server (Source RPMs)]
    [id:rhel-7-server-optional-rpms Red Hat Enterprise Linux 7 Server - Optional (RPMs)]
    [id:rhel-7-server-rh-common-beta-source-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (Source RPMs)]
    [id:rhel-7-server-extras-source-rpms Red Hat Enterprise Linux 7 Server - Extras (Source RPMs)]
    [id:rhel-7-server-supplementary-beta-source-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (Source RPMs)]
    [id:rhel-7-server-rt-beta-debug-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (Debug RPMs)]
    [id:rhel-7-server-rh-common-beta-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (RPMs)]
    [id:rhel-ha-for-rhel-7-server-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (RPMs)]
    [id:rhel-7-server-supplementary-beta-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (RPMs)]
    [id:rhel-7-server-hts-source-rpms Red Hat Hardware Certification Test Suite (for RHEL 7 Server) (Source RPMs)]
    [id:rhel-atomic-host-beta-rpms Red Hat Enterprise Linux Atomic Host Beta (RPMs)]
    [id:rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux 7 Server - Fastrack (Source RPMs)]
    [id:rhel-7-server-optional-fastrack-source-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (Source RPMs)]
    [id:rhel-7-server-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (Source RPMs)]
    [id:rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux 7 Server - Fastrack (Debug RPMs)]
    [id:rhel-7-server-rh-common-source-rpms Red Hat Enterprise Linux 7 Server - RH Common (Source RPMs)]
    [id:rhel-7-server-supplementary-source-rpms Red Hat Enterprise Linux 7 Server - Supplementary (Source RPMs)]
    [id:rhel-ha-for-rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (Source RPMs)]
    [id:rhel-7-server-optional-beta-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (RPMs)]
    [id:rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux 7 Server Beta (Debug RPMs)]
    [id:rhel-atomic-host-beta-source-rpms Red Hat Enterprise Linux Atomic Host Beta (Source RPMs)]
    [id:rhel-7-server-rt-beta-source-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (Source RPMs)]
    [id:rhel-7-server-beta-rpms Red Hat Enterprise Linux 7 Server Beta (RPMs)]
    [id:rhel-7-server-optional-source-rpms Red Hat Enterprise Linux 7 Server - Optional (Source RPMs)]
Deleted
    <NONE>
2014-12-17 03:43:08,480 [DEBUG] rhsmcertd-worker @plugins.py:769 - Running update_content_hook in container_content.ContainerContentPlugin
2014-12-17 03:43:08,481 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2b5a310>
2014-12-17 03:43:08,481 [INFO] rhsmcertd-worker @container_content.py:43 - Updating container content.
2014-12-17 03:43:08,481 [INFO] rhsmcertd-worker @container_content.py:45 - registry hostnames = registry.access.redhat.com,cdn.redhat.com
2014-12-17 03:43:08,481 [DEBUG] rhsmcertd-worker @__init__.py:85 - Searching for content of type: containerimage
2014-12-17 03:43:08,482 [DEBUG] rhsmcertd-worker @container.py:53 - Got content_sets: [<subscription_manager.model.ent_cert.EntitlementCertContent object at 0x2786cd0>, <subscription_manager.model.ent_cert.EntitlementCertContent object at 0x2af85d0>]
2014-12-17 03:43:08,482 [DEBUG] rhsmcertd-worker @container.py:138 - Syncing container certificates to /etc/docker/certs.d/registry.access.redhat.com
2014-12-17 03:43:08,482 [INFO] rhsmcertd-worker @container.py:164 - Copying: /etc/pki/entitlement/5735418529569462436.pem -> /etc/docker/certs.d/registry.access.redhat.com/5735418529569462436.cert
2014-12-17 03:43:08,482 [ERROR] rhsmcertd-worker @plugins.py:489 - [Errno 13] Permission denied: '/etc/docker/certs.d/registry.access.redhat.com/5735418529569462436.cert'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/container_content.py", line 50, in update_content_hook
    report = cmd.perform()
  File "/usr/share/rhsm/subscription_manager/plugin/container.py", line 60, in perform
    cert_dir.sync(unique_cert_paths)
  File "/usr/share/rhsm/subscription_manager/plugin/container.py", line 165, in sync
    shutil.copyfile(keypair.cert_path, full_cert_path)
  File "/usr/lib64/python2.7/shutil.py", line 83, in copyfile
    with open(dst, 'wb') as fdst:
IOError: [Errno 13] Permission denied: '/etc/docker/certs.d/registry.access.redhat.com/5735418529569462436.cert'
2014-12-17 03:43:08,483 [WARNING] rhsmcertd-worker @base_action_client.py:72 - Exception caught while running <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2b5a310> update
2014-12-17 03:43:08,483 [ERROR] rhsmcertd-worker @base_action_client.py:73 - [Errno 13] Permission denied: '/etc/docker/certs.d/registry.access.redhat.com/5735418529569462436.cert'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/base_action_client.py", line 63, in _run_update
    update_report = lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 31, in update
    self.report = self.locker.run(self._do_update)
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 17, in run
    return action()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 81, in _do_update
    return action.perform()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 59, in perform
    self.runner.run()
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/container_content.py", line 50, in update_content_hook
    report = cmd.perform()
  File "/usr/share/rhsm/subscription_manager/plugin/container.py", line 60, in perform
    cert_dir.sync(unique_cert_paths)
  File "/usr/share/rhsm/subscription_manager/plugin/container.py", line 165, in sync
    shutil.copyfile(keypair.cert_path, full_cert_path)
  File "/usr/lib64/python2.7/shutil.py", line 83, in copyfile
    with open(dst, 'wb') as fdst:
IOError: [Errno 13] Permission denied: '/etc/docker/certs.d/registry.access.redhat.com/5735418529569462436.cert'
2014-12-17 03:43:08,483 [DEBUG] rhsmcertd-worker @plugins.py:769 - Running update_content_hook in ostree_content.OstreeContentPlugin
2014-12-17 03:43:08,484 [DEBUG] rhsmcertd-worker @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2b5a410>
2014-12-17 03:43:08,484 [INFO] rhsmcertd-worker @ostree_content.py:34 - ostree update_content_hook plugin.
2014-12-17 03:43:08,484 [DEBUG] rhsmcertd-worker @__init__.py:85 - Searching for content of type: ostree
2014-12-17 03:43:08,485 [DEBUG] rhsmcertd-worker @config.py:200 - full_url: https://cdn.qa.redhat.com/content/beta/rhel/atomic/7/x86_64/ostree/repo
2014-12-17 03:43:08,485 [ERROR] rhsmcertd-worker @plugins.py:489 - [Errno 13] Permission denied: '/etc/ostree/remotes.d/redhat.conf'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/ostree_content.py", line 36, in update_content_hook
    report = action_invoker.OstreeContentUpdateActionCommand(ent_source=conduit.ent_source).perform()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 67, in perform
    return self.update_repo_config()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 83, in update_repo_config
    contents=entitled_contents)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 107, in update_config
    updates.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 576, in save
    self.orig.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 540, in save
    self.repo_file_store.save(self)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 281, in save
    writer.save(ostree_config)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 300, in save
    self.repo_file.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 144, in save
    self.config_parser.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 119, in save
    super(KeyFileConfigParser, self).save()
  File "/usr/lib64/python2.7/site-packages/rhsm/config.py", line 107, in save
    fo = open(self.config_file, "wb")
IOError: [Errno 13] Permission denied: '/etc/ostree/remotes.d/redhat.conf'
2014-12-17 03:43:08,508 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:43:08,508 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/certificates/serials
2014-12-17 03:43:08,509 [WARNING] rhsmcertd-worker @base_action_client.py:72 - Exception caught while running <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2b5a410> update
2014-12-17 03:43:08,509 [ERROR] rhsmcertd-worker @base_action_client.py:73 - [Errno 13] Permission denied: '/etc/ostree/remotes.d/redhat.conf'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/base_action_client.py", line 63, in _run_update
    update_report = lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 31, in update
    self.report = self.locker.run(self._do_update)
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 17, in run
    return action()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 81, in _do_update
    return action.perform()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 59, in perform
    self.runner.run()
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/ostree_content.py", line 36, in update_content_hook
    report = action_invoker.OstreeContentUpdateActionCommand(ent_source=conduit.ent_source).perform()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 67, in perform
    return self.update_repo_config()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 83, in update_repo_config
    contents=entitled_contents)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 107, in update_config
    updates.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 576, in save
    self.orig.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 540, in save
    self.repo_file_store.save(self)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 281, in save
    writer.save(ostree_config)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 300, in save
    self.repo_file.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 144, in save
    self.config_parser.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 119, in save
    super(KeyFileConfigParser, self).save()
  File "/usr/lib64/python2.7/site-packages/rhsm/config.py", line 107, in save
    fo = open(self.config_file, "wb")
IOError: [Errno 13] Permission denied: '/etc/ostree/remotes.d/redhat.conf'
2014-12-17 03:43:08,511 [DEBUG] rhsmcertd-worker @entbranding.py:47 - BrandInstaller ent_certs:  []
2014-12-17 03:43:08,511 [DEBUG] rhsmcertd-worker @certdirectory.py:216 - Installed product IDs: ['69', '272']
2014-12-17 03:43:08,533 [DEBUG] rhsmcertd-worker @rhelentbranding.py:119 - Installed branded product: <rhsm.certificate2.Product object at 0x2f26d50>
2014-12-17 03:43:08,533 [DEBUG] rhsmcertd-worker @rhelentbranding.py:122 - 1 entitlement certs with brand info found
2014-12-17 03:43:08,534 [DEBUG] rhsmcertd-worker @entbranding.py:61 - Current branded name info, if any: Red Hat Enterprise Linux
2014-12-17 03:43:08,534 [DEBUG] rhsmcertd-worker @entbranding.py:62 - Fresh ent cert has branded product info: Red Hat Enterprise Linux
2014-12-17 03:43:08,534 [INFO] rhsmcertd-worker @entbranding.py:67 - Product branding info does not need to be updated
2014-12-17 03:43:11,326 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:43:11,327 [INFO] subscription-manager @entcertlib.py:131 - certs updated:
Total updates: 0
Found (local) serial# [5735418529569462436L]
Expected (UEP) serial# [5735418529569462436]
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
2014-12-17 03:43:11,329 [DEBUG] subscription-manager @certdirectory.py:216 - Installed product IDs: ['69', '272']
2014-12-17 03:43:11,330 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:43:11,330 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4/compliance
2014-12-17 03:43:12,908 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:43:12,926 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2014-12-17 03:43:12,946 [DEBUG] subscription-manager @cert_sorter.py:193 - valid entitled products: ['69', '272']
2014-12-17 03:43:12,946 [DEBUG] subscription-manager @cert_sorter.py:194 - expired entitled products: []
2014-12-17 03:43:12,947 [DEBUG] subscription-manager @cert_sorter.py:195 - partially entitled products: []
2014-12-17 03:43:12,947 [DEBUG] subscription-manager @cert_sorter.py:196 - unentitled products: []
2014-12-17 03:43:12,947 [DEBUG] subscription-manager @cert_sorter.py:197 - future products: []
2014-12-17 03:43:12,947 [DEBUG] subscription-manager @cert_sorter.py:198 - partial stacks: []
2014-12-17 03:43:12,947 [DEBUG] subscription-manager @cert_sorter.py:199 - entitlements valid until: 2014-12-31 05:00:00+00:00
2014-12-17 03:43:12,948 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem
2014-12-17 03:43:12,948 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/35d32a2a-5fe9-4f9e-af52-65e3eddcd6c4
2014-12-17 03:43:14,506 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-12-17 03:43:14,510 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/product_status.json
2014-12-17 03:43:14,512 [INFO] subscription-manager @managercli.py:194 - Attempted to auto-attach/heal the system.
2014-12-17 03:43:14,864 [INFO] rhsmd @rhsmd:302 - rhsmd started
2014-12-17 03:43:14,868 [INFO] rhsmd @rhsmd:211 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 0
2014-12-17 03:43:14,868 [DEBUG] rhsmd @identity.py:131 - Loading consumer info from identity certificates.
2014-12-17 03:43:14,879 [INFO] rhsmd @rhsmd:178 - D-Bus signal com.redhat.SubscriptionManager.EntitlementStatus.entitlement_status_changed emitted
2014-12-17 03:43:14,889 [DEBUG] subscription-manager @dbus_interface.py:60 - Failed to update rhsmd
2014-12-17 03:43:14,889 [ERROR] subscription-manager @dbus_interface.py:61 - org.freedesktop.DBus.Error.ServiceUnknown: The name :1.51 was not provided by any .service files
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/dbus_interface.py", line 57, in _update
    self.validity_iface.emit_status(ignore_reply=self.has_main_loop)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.51 was not provided by any .service files

observed few selinux denails 
----------------------------


type=SYSCALL msg=audit(12/17/2014 03:43:08.482:207) : arch=x86_64 syscall=open success=no exit=-13(Permission denied) a0=0x2c17aa0 a1=O_WRONLY|O_CREAT|O_TRUNC a2=0666 a3=0x0 items=0 ppid=19135 pid=19483 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=rhsmcertd-worke exe=/usr/bin/python2.7 subj=system_u:system_r:rhsmcertd_t:s0 key=(null) 
type=AVC msg=audit(12/17/2014 03:43:08.482:207) : avc:  denied  { create } for  pid=19483 comm=rhsmcertd-worke name=5735418529569462436.cert scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file 
----
type=SYSCALL msg=audit(12/17/2014 03:43:08.483:208) : arch=x86_64 syscall=open success=no exit=-13(Permission denied) a0=0x26e02d0 a1=O_RDONLY a2=0x1b6 a3=0x7fffa3133a40 items=0 ppid=19135 pid=19483 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=rhsmcertd-worke exe=/usr/bin/python2.7 subj=system_u:system_r:rhsmcertd_t:s0 key=(null) 
type=AVC msg=audit(12/17/2014 03:43:08.483:208) : avc:  denied  { read } for  pid=19483 comm=rhsmcertd-worke name=ostree dev="dm-1" ino=8465057 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=lnk_file 
----
type=SYSCALL msg=audit(12/17/2014 03:43:08.485:209) : arch=x86_64 syscall=open success=no exit=-13(Permission denied) a0=0x2c17ac0 a1=O_WRONLY|O_CREAT|O_TRUNC a2=0666 a3=0x0 items=0 ppid=19135 pid=19483 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=rhsmcertd-worke exe=/usr/bin/python2.7 subj=system_u:system_r:rhsmcertd_t:s0 key=(null) 
type=AVC msg=audit(12/17/2014 03:43:08.485:209) : avc:  denied  { write } for  pid=19483 comm=rhsmcertd-worke name=redhat.conf dev="dm-1" ino=6753732 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=unconfined_u:object_r:etc_t:s0 tclass=file 

Moving back to "New"

Comment 9 John Sefler 2014-12-19 15:01:34 UTC
I also reproduced the auto-heal failure for ostree and containerimage content.  I agree with rehana that the avc denials appears to be the source of the problem.

2014-12-19 09:59:11,904 [ERROR] rhsmcertd-worker @base_action_client.py:73 - [Errno 13] Permission denied: '/etc/docker/certs.d/registry.access.redhat.com/2524022247138273580.cert'

2014-12-19 09:59:11,911 [ERROR] rhsmcertd-worker @base_action_client.py:73 - [Errno 13] Permission denied: '/etc/ostree/remotes.d/redhat.conf'

Comment 10 John Sefler 2014-12-19 15:09:40 UTC
-bash-4.2# rpm -q selinux-policy
selinux-policy-3.12.1-153.el7_0.13.noarch


It would be nice to get an selinux-policy update through an atomic upgrade and then re-run this test.

Comment 11 John Sefler 2015-01-06 17:51:59 UTC
We suspect that the "Permission denied" failure is caused by an older selinux-policy-3.12.1-153.el7_0.13.  We'd like to issue an atomic update from the latest atomic iso (dated 20141218.1) to pull in the latest selinux-policy targeted for rhel71 https://errata.devel.redhat.com/advisory/18804 (which is currently selinux-policy-3.13.1-14.el7).  Unfortunately the atomic update is blocked by a timestamp error...

-bash-4.2# atomic upgrade
Updating from: rhel-atomic-host-beta-ostree:rhel-atomic-host/7/x86_64/standard

error: Upgrade target revision '18a9998c80adb6986bf3c7c9eb31c1f9d408d074fdac0ee37a6074ea2be218b4' with timestamp 'Thu 11 Dec 2014 07:27:46 PM UTC' is chronologically older than current revision '3d85dd112ae6568cbd8f22e16fa3c76f1baf91e1c56b8a29e3701ce1680c969f' with timestamp 'Thu 18 Dec 2014 11:24:57 AM UTC'; use --allow-downgrade to permit

To test this theory, we need either a newer atomic iso that includes an updated selinux-policy or the atomic update trees need to be updated to include an updated selinux-policy.  Both of which are beyond our QE control.

Currently our atomic install is at...
-bash-4.2# atomic status
  VERSION    ID             OSNAME               REFSPEC                                                             
* 7.0.61     3d85dd112a     rhel-atomic-host     rhel-atomic-host-beta-ostree:rhel-atomic-host/7/x86_64/standard

Comment 12 Rehana 2015-01-15 15:59:27 UTC
Retested with updated selinux-package and subscription-manager packages

selinux-policy-3.13.1-16.el7.noarch
selinux-policy-targeted-3.13.1-16.el7.noarch

$ sudo subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 0.9.26.7-1
subscription management rules: 5.12
subscription-manager: 1.13.12-1.el7
python-rhsm: 1.13.8-1.el7


Observed that after auto-heal , ostree remote details are updated in "/etc/ostree/remotes.d/redhat.conf" with entitlement cert details

$ cat /etc/ostree/remotes.d/redhat.conf
[remote "rhel-atomic-host-beta-ostree"]
url = https://cdn.qa.redhat.com/content/beta/rhel/atomic/7/x86_64/ostree/repo
gpg-verify = false
tls-client-cert-path = /etc/pki/entitlement/5576944455910891014.pem
tls-client-key-path = /etc/pki/entitlement/5576944455910891014-key.pem
tls-ca-path = /etc/rhsm/ca/redhat-uep.pem

$ sudo subscription-manager  list --consumed 
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Academic Site Subscription (Server, Desktop, Workstation, POWER, HPC), Self-support with Smart Management
                   per FTE
Provides:          Oracle Java (for RHEL Server)
                   Red Hat Enterprise Linux Workstation
                   Red Hat Enterprise Linux Desktop
                   Red Hat Developer Toolset (for RHEL Workstation)
                   Red Hat Enterprise Linux Atomic Host
                   Red Hat Enterprise Linux Server
                   Red Hat Software Collections (for RHEL Client)
                   Red Hat Enterprise Linux for IBM POWER
                   Red Hat Software Collections (for RHEL Server)
                   Red Hat Beta
                   Red Hat Software Collections (for RHEL Workstation)
                   Red Hat Enterprise Linux Atomic Host Beta
                   Red Hat Developer Toolset (for RHEL Server)
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Container Images
                   Red Hat Software Collections Beta (for RHEL Client)
                   Red Hat Enterprise Linux for Scientific Computing
                   Red Hat Container Images Beta
                   Red Hat Software Collections Beta (for RHEL Workstation)
SKU:               RH2592745
Contract:          10697759
Account:           5500204
Serial:            5576944455910891014
Pool ID:           8a99f9864aaaed70014abeb6624922b4
Active:            True
Quantity Used:     1
Service Level:     SELF-SUPPORT
Service Type:      L1-L3
Status Details:    
Subscription Type: Standard
Starts:            12/31/2014
Ends:              12/31/2015
System Type:       Virtual


Closing this bug


Note You need to log in before you can comment on or make changes to this bug.